package com.czg.system.enums;

import lombok.Getter;

/**
 * @author ww
 */

@Getter
public enum SysParamCodeEnum {

    SHOP_ORDER_PAY_BASE_URL("shop_order_pay_base_url", "店铺订单支付BaseUrl"),
    PAY_CZG_DOMAIN("pay_czg_domain", "超掌柜支付域名"),
    PAY_CZG_NOTIFY_URL("pay_czg_notify_url", "超掌柜支付回调地址"),
    PAY_CZG_REFUND_NOTIFY_URL("pay_czg_refund_notify_url", "超掌柜退款回调地址"),
    ALI_OSS_ACCESS_KEY("ali_oss_access_key", "阿里云oss_ACCESS_KEY"),
    ALI_OSS_ACCESS_SECRET("ali_oss_access_secret", "阿里云oss_secret"),
    ALI_OSS_ENDPOINT("ali_oss_endpoint", "阿里云endpoint"),
    ALI_OSS_ROLE_ARN("ali_oss_role_arn", "阿里云roleArn"),
    WX_MINI_VIP_URL("wx_mini_vip_url", "小程序会员页面地址"),
    ;

    private final String code;
    private final String msg;

    SysParamCodeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }
}
